## RS232

### 硬件连接

RS232 接口有3条线` TX RX GND ` , 通信双方交叉连接，如下

| EdgeBoard设备A | EdgeBoard设备B 或其他Can接口的设备 |
| -------------- | ---------------------------------- |
| Tx             | RX                                 |
| RX             | TX                                 |
| GND            | GND                                |

### 准备工作

1. 查询是否安装了 `pyserial`

   ```sh
   edgeboard-191:# python3
   Python 3.5.6 (default, Dec  6 2019, 06:58:55)
   [GCC 8.2.0] on linux
   Type "help", "copyright", "credits" or "license" for more information.
   >>> import serial
   >>>
   ```

2. 如果没有安装，则执行如下命令安装

```
pip3 install pyserial
```

### 使用说明

RS232 接口的Demo 基于`pyserial`包，

Demo介绍如下，`pyserial`的使用详细说明见 [pyserial](https://pyserial.readthedocs.io/en/latest/shortintro.html)

`send.py` : 发送字符串 `Hello World\n`

`recv.py` : 循环阻塞接收一行数据并打印

参数说明：

​	-p ： 设备节点的名字 

​	-b :    波特率，默认是115200

**example**

`FZ9D` 发送  :       `python3 send.py -p /dev/ttyPS3 `

`FZ5D`  接收:       `python3 recv.py -p /dev/ttyUL1`

| 设备 | 设备串口节点的名字                |
| ---- | --------------------------------- |
| FZ3A | /dev/ttyPS1                       |
| FZ3B | /dev/ttyPS1                       |
| FZ5C | /dev/ttyUL1（仅支持115200波特率） |
| FZ5D | /dev/ttyUL1（仅支持115200波特率） |
| FZ9D | /dev/ttyPS3                       |



